require "codeclimate/collectors/testing/stub_messages_facade"

module Codeclimate
  module Collectors
    module Testing
      def stub_manager
        Codeclimate::Collectors::Manager.new(
          messages: stub_messages_facade,
        )
      end

      def stub_messages_facade
        Codeclimate::Collectors::Testing::StubMessagesFacade.new
      end
    end
  end
end
